Subject: Re: [net-next 1/2] bonding: netlink error message support for options

From: Jakub Kicinski <[email-masked]>
Date: Tue, 7 Jun 2022 17:32:38 -0700

On Tue, 7 Jun 2022 20:23:22 -0400 Jonathan Toppins wrote:
> Thanks, will post a v2 tomorrow. What tool was used to generate the 
> errors? sparse? checkpatch reported zero errors.

make W=1 ... builds will find them in sources but it's better to run
./scripts/kernel-doc explicitly to also catch problems in headers.
For example:

./scripts/kernel-doc -none $(git show --pretty="" --name-only HEAD)